> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Đăng ký khóa học



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml post /academy
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /academy:
    post:
      tags:
        - Academy
      summary: Đăng ký khóa học
      operationId: Academy_Enroll
      requestBody:
        description: Thông tin đăng ký
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Academy.EnrollmentChangeRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Academy.EnrollmentChangeRequest
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: object
            text/json:
              schema:
                type: object
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - academy-read
components:
  schemas:
    FireAnt.Api.Models.Academy.EnrollmentChangeRequest:
      description: Yêu cầu đăng ký khóa học
      type: object
      properties:
        userName:
          description: Tên đăng nhập
          type: string
        courseId:
          format: int32
          description: ID khóa học
          type: integer
        email:
          description: Email
          type: string
        name:
          description: Họ và tên
          type: string
        phone:
          description: Điện thoại
          type: string
        address:
          description: Địa chỉ
          type: string
        paymentMethod:
          format: int32
          description: >-
            Phương thức thanh toán (0 = None, 1 = BankTransfer, 2 = Cash, 3 =
            Card, 4 = ScratchCard, 5 = Internet, 6 = Mobile)
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
          type: integer
        note:
          description: Ghi chú
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.